libpng

I have upgraded from 1.2.40 to 1.2.43. The latest is actually 1.4.1, however I decided to stay with the 1.2 series, which continues to be supported by the libpng developer.


Posted on 17 Mar 2010, 18:58


Comments:

Posted on 17 Mar 2010, 23:46 by technosaurus
apng
Here is the animated png patch needed for mozilla and others to use system png (mng is no longer used)
http://littlesvr.ca/apng/diff/libpng-1.2.42-apng.patch

That patch is for 1.2.42, but it may work with .43 - there is also a patch for the 1.4 series


Posted on 30 Mar 2010, 12:32 by Phil
Dr.
Heads up: Mozilla will require system libpng 1.4.1

Not yet, but soon: https://bugzilla.mozilla.org/show_bug.cgi?id=551438